<?php 
include"../../aut_verifica.inc.php";
require_once('../config/lang/eng.php');
require_once('../tcpdf.php');
error_reporting(E_ERROR | E_PARSE);
	header('Content-Type: text/html; charset=UTF-8');
	date_default_timezone_set('America/Caracas');
	header("Last-Modified: " . gmdate("D, d M Y H:i ") . " GMT"); 
	header("Cache-Control: no-store, no-cache, must-revalidate"); 
	header("Cache-Control: post-check=0, pre-check=0", false); 
	header("Pragma: no-cache");	

$pdf = new TCPDF(PDF_PAGE_ORIENTATION, PDF_UNIT, PDF_PAGE_FORMAT, true, 'UTF-8', false);
// Informacion del Documento
$pdf->SetCreator(PDF_CREATOR);
$pdf->SetAuthor('CLOPEZ');
$pdf->SetTitle('ESTADO DE CUENTA');
$pdf->SetSubject('');
$pdf->SetKeywords('');
$pdf->setLanguageArray($l);
$pdf->AddPage();
$pdf->SetFont('Arial', 'B', 30);
$codigo_x=$_GET['usuario'];
$fecha_actualxls=$_GET['fecha_registro'];
$fecha_ingreso=date('Y-m-d - h:i:s A');
$token=$_GET['token'];
$estatus=$_GET['estatus'];
$cod_cliente=$_GET['cod_cliente'];
$usuarios_conectadosx=mysql_query("select * from  tabla_usuarios where id='".$codigo_x."'",$link);
$ver_usuariosx=mysql_fetch_array($usuarios_conectadosx);
$consulta_cliente=mysql_query("select * from  tabla_clintes_xls where id='".$cod_cliente."' and eliminar='0' and estatus='0' ORDER BY id DESC ",$link);
$ver_consulta_cliente=mysql_fetch_array($consulta_cliente);
$valor_tasas_dolar=$ver_factura['tasa_dolar'];
//<h1>RIF DEL CLIENTE:'.$ver_consulta_cliente['rif'].'</h1>







$html1 ='
	<h3>MATADERO AVICOLA LOS LLANOS C.A - J-31074333-9</h3><br>
	IMPRESO POR: '.$ver_usuariosx['descripcion'].'  EL DIA '.$fecha_ingreso.'
	<h2><b>CLIENTE:</b> '.$ver_consulta_cliente['descripcion'].'</h2>	
	<h1 style="text-align: center;">ESTADO DE CUENTA</h1>
';
	$saldo_inicio=mysql_query("select * from tabla_saldos_clientes_xls where eliminar='0' and cod_cliente='$cod_cliente'  ",$link);
	$ver_saldo_inicial=mysql_fetch_array($saldo_inicio);
	$saldo_inicial=number_format($ver_saldo_inicial['saldo_inicial'], 2, '.','');	
	$html3 ='
-------------------------------------------------------------------------------------------------------------------------------------------------------------
	<h3>SALDO INICIAL DEL SISTEMA EN LA FECHA 12/08/2024:  '.$saldo_inicial.' $</h3>
';
$html2 ='
-------------------------------------------------------------------------------------------------------------------------------------------------------------
<br>
	<table border="0">
		<tr>
			<td WIDTH="10%">Fecha</td>
			<td WIDTH="40%" style="text-align: left;">Banco / Referencia / Documento</td>
			<td WIDTH="20%" style="text-align: left;">Anticipos / Facturas</td>
			<td WIDTH="10%" style="text-align: right;">Monto</td>
			<td WIDTH="10%" style="text-align: right;">Saldo</td>
		</tr>
	</table>
-------------------------------------------------------------------------------------------------------------------------------------------------------------
';
	$estado_cuenta=mysql_query("select * from  tabla_transaccion_xls where cod_cliente='$cod_cliente'  ORDER BY id ASC ",$link);
	while($ver_estado_cuenta=mysql_fetch_array($estado_cuenta)){
		if($ver_estado_cuenta['tipo']=='1')	{ $variable='Anticipos'; }
		if($ver_estado_cuenta['tipo']=='2') { $variable='Facturas'; }
		if($ver_estado_cuenta['monto']<0) { $variable_color='<font color="#ff0000">'.$ver_estado_cuenta['monto'].'</font>'; } 
		else { $variable_color=$ver_estado_cuenta['monto']; } 
		if( $ver_estado_cuenta['saldo']<0) { $variable_color2='<font color="#ff0000">'.$ver_estado_cuenta['saldo'].'</font>'; }
		else { $variable_color2=$ver_estado_cuenta['saldo']; } 
	$i++;
	$html51[]='
	<table  border="0" >
	  <tr>
		<td WIDTH="10%">'.$ver_estado_cuenta['fecha'].'</td>
		<td WIDTH="40%" style="text-align: left;">'.$ver_estado_cuenta['Banco_Referencia_Documento'].'</td>
		<td WIDTH="20%" style="text-align: left;">'.$variable.'</td>
		<td WIDTH="10%"style="text-align: right;">'.$variable_color.'</td>
		<td WIDTH="10%" style="text-align: right;">'.$variable_color2.'</td>
	  </tr> 
	</table>
	 '; 
}

$pdf->SetFont('times', '', 10);
$pdf->writeHTML($html1, true, 0, true, true);
$pdf->Ln();
$pdf->writeHTML($html3, true, 0, true, true);
$pdf->Ln();
$pdf->writeHTML($html2, true, 0, true, true);
$pdf->Ln(); 
for($x=0;$x<=$i;$x++){
	$pdf->writeHTML($html51[$x], true, 0, true, true);
	$pdf->Ln(1);
}
 
$pdf->write1DBarcode(''.$token.'', 'C39E+', '', '', '', 18, 0.4, $style, 'N');
$pdf->Ln();
$pdf->Output('ESTADO_CUENTA-'.$ver_consulta_cliente['rif'].'.pdf', 'I');
?>